<?php
/**
 * Plugin Name: YITH Plugin Framework Temporary Fix
 * Description: YITH Plugin Framework Temporary Fix
 * Version: 1.0.0
 * Author: YITHEMES
 * Author URI: http://yithemes.com/
 *
 * @author  yithemes
 * @version 1.0.0
 */
/*  Copyright 2015  Your Inspiration Themes  (email : plugins@yithemes.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if ( !defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly



/* Plugin Framework Version Check */
if ( !function_exists( 'yit_maybe_plugin_fw_loader' ) && file_exists( plugin_dir_path( __FILE__ ) . 'plugin-fw/init.php' ) ) {
    require_once( plugin_dir_path( __FILE__ ) . 'plugin-fw/init.php' );
}
yit_maybe_plugin_fw_loader( plugin_dir_path( __FILE__ ) );

// Plugin Framework Force Loading
if ( !function_exists( 'yith_plugin_framework_temporary_fix_force_plugin_fw_loading' ) ) {
    function yith_plugin_framework_temporary_fix_force_plugin_fw_loading() {
        if ( !defined( 'YIT_CORE_PLUGIN' ) ) {
            global $plugin_fw_data;
            if ( !empty( $plugin_fw_data ) ) {
                $plugin_fw_file = array_shift( $plugin_fw_data );
                require_once( $plugin_fw_file );
            }
        }
    }
    add_action( 'plugins_loaded', 'yith_plugin_framework_temporary_fix_force_plugin_fw_loading', 14 );
}

/*if ( !function_exists( 'yith_plugin_framework_temporary_fix_deactivate_if_obsolete' ) ) {
    // deactivate the plugin if the plugin-fw is loaded by another yith plugin
    function yith_plugin_framework_temporary_fix_deactivate_if_obsolete() {
        global $plugin_fw_data;

        if ( !empty( $plugin_fw_data ) && is_array( $plugin_fw_data ) ) {
            $plugin_fw_file = array_shift( $plugin_fw_data );
            $plugin_path    = plugin_dir_path( __FILE__ );

            $current_plugin_fw_main_file = trailingslashit( $plugin_path ) . 'plugin-fw/yit-plugin.php';
            if ( $current_plugin_fw_main_file !== $plugin_fw_file )
                deactivate_plugins( __FILE__ );
        }

    }

    add_action( 'plugins_loaded', 'yith_plugin_framework_temporary_fix_deactivate_if_obsolete' );
}*/